A voi funziona Synaptic (sulla MiniMe)?

Ritratto di simon2000

Ho provato a installare MiniMe e subito dopo due applicazioni: Knemo e Vnstat.
Il problema è che ambedue sembrano non esistere, invece Synaptic dice che risultano installate.

Per esempio non compare nessuna icona di Knemo e se l'avvio tramite Run Command, il comando Knemo risulta sconosciuto.
Vnstat funziona solo su Konsole, ma se scrivo vnstat mi appare:
Unable to open database directory "/var/lib/vnstat".
Make sure it exists and is read enabled for this user.

Se cerco un file con quel nome, lo trovo altrove, non su quella directory... boh!

Forse bisignava completare l'installazione facendo qualcos'altro?
Grazie.

Ritratto di patel

Synaptic funziona, probabilmente ti manca qualche libreria indispensabile per il funzionamento. Fai una ricerca con synaptic con le parole Knemo e Vnstat. Oppure bisogna configurare la connessione in modo particolare. In questo momento non ho più pclos e quindi non posso provare.

Ritratto di Gianvacca

vnstat non so a cosa serva, ma knemo non è un'applicazione standalone.
Apri il pannello di controllo di kde e vai su Internet e rete. Lì ti dovrebbe essere comparsa la voce Monitor di rete.
A quel punto spunti la casella Utilizza KNemo per monitorare le tue interfacce. Uso anch'io KNemo.
Ora controllo vnstat.

Ritratto di Gianvacca

Sì, allora, effettivamente per vnstat hai scoperto un bug. Chi ha fatto il pacchetto si è dimenticato di creare la cartella /var/lib/vnstat
Fallo tu da root. Quindi:

su [poi metti la password di root]
mkdir /var/lib/vnstat

Poi sempre da root, crea il database:

vnstat -u -i interfaccia [interfaccia è ad esempio eth0, wlan0, il nome lo trovi con ifconfig. wlan0 è quella predefinita, per cui in tal caso ti basta vnstat -u]

Fatto ciò puoi usarlo anche da utente normale.

Ritratto di simon2000

Ti ringrazio tantissimo ma... no, non è soltanto un bug, è tutto un gran casino... a partire dal fatto che sul CD mancano i pacchetti per configurare la connessione in 3G e in diverse DSL (ho dovuto per forza configurare Kppp).
Senza contare il fatto che mi sbaglia il driver del monitor e lo devo scegliere io manualmente, dalla lunghissima lista... ciò è "Radically Simple"?
Tutto questo mi dispiace davvero perché mi piaceva molto la filosofia adottata da questa distro.

Andando nei dettagli:
tanto per cominciare non esiste nessuna casella "Utilizza Knemo" nella versione MiniMe.
Ho copiato la cartella, da /var/lib/lib/vnstat a /var/lib/vnstat e finalmente Vnstat è partita, ma non riesce a memorizzare il traffico su nessuna delle due interfacce esistenti (lo e ppp0).
Forse Kppp utilizza un'interfaccia "segreta" che non compare da nessuna parte... tutto ciò è "Radically Simple"?
Infine ho installato Wvdial e, manco a dirlo, non esiste nessun file wvdial.conf!!

A mio avviso sono tutti bug gravissimi e inaccettabili, che ti portano alla conclusione di non poter fare affidamento su PCLOS per lavoro.
Può andar bene per cazzeggiare e basta... peccato.

Ritratto di patel

sul CD mancano i pacchetti per configurare la connessione in 3G e in diverse DSL ....

Hai scelto tu la Minime, se volevi una versione completa dovevi scaricare quella.

Ritratto di simon2000

Guarda che vengo dalla 2007 che aveva lo stesso identico problema.
Verificate voi stessi se non mi credete.

Ritratto di Gianvacca

Che knemo non compaia è una fesseria, forse sei andato a cercarlo nel centro di controllo di PCLOS e non in quello di KDE.

Per quanto riguarda l'interfaccia, ne hai cercato il nome ifconfig? Hai creato il database? Hai lanciato vnstat come root?

Ritratto di supertrack

Lascia perdere la minime che è un bug unico, aspetta la versione nuova che dovrebbe uscire a breve...

Ritratto di Gianvacca

Come mai dici così, supertrack? Io finora l'ho usata solo virtualizzata per costruire rpm e testarli, ma non ho notato niente di strano.

Ritratto di supertrack

La cosa più eclatante è che se avvio il pc con la chiavetta wireless usb si blocca l'avvio. Mentre se la metto dopo il sistema si blocca. C'è dunque qualcosa che non va! Poi il progetto va aggiustato, sembra una brutta copia di vista e questo non mi va giù. Secondo me per la nuova release dovevano concentrarsi su kde4, come hanno fatto con mandriva che vi devo dire va molto bene (già solo il boot avviene in 7-8 secondi!).
Ciao!

Ritratto di simon2000

Secondo me invece hanno fatto benissimo a rimandare kde4 al 2010 perché la cosa più importante è la funzionalità, altrimenti c'è già gnome che offre l'essenziale!
Prenderò in considerazione kde4 solo quando apparirà l'opzione per visualizzare cartelle e file a "colonne multiple".

Comunque ci sono alcuni bug strani anche nella 2007: per esempio ho provato a installare kate e mi ha obbligato a installare anche kde-base 3.5.9 con conseguenti errori di assenza di anteprime e gestione dei desktop... allora ho aggiornato tutti i pacchetti con le iniziali kde- e non si è più avviato nulla perché mancava kdeinit.
Forse avrei dovuto aggiornare tutto (500 mb!) prima di installare qualsiasi cosa, ma anche se fosse, non mi sembra una cosa tanto normale.

Inoltre ho scoperto che anche su mandriva (ho i 2 cd free) non funziona la connessione 3G, forse il dvd era immune dal problema, non l'ho provato.
Per quanto riguarda vnstat, vi assicuro che il bug si presenta su tutte le versioni di pclos, quindi spero nella 2009, di cui è appena uscita la beta.

Ritratto di Gianvacca

Comunque ci sono alcuni bug strani anche nella 2007: per esempio ho provato a installare kate e mi ha obbligato a installare anche kde-base 3.5.9 con conseguenti errori di assenza di anteprime e gestione dei desktop... allora ho aggiornato tutti i pacchetti con le iniziali kde- e non si è più avviato nulla perché mancava kdeinit.
Forse avrei dovuto aggiornare tutto (500 mb!) prima di installare qualsiasi cosa, ma anche se fosse, non mi sembra una cosa tanto normale.

Invece è esattamente così. Poichè PCLOS è una distro a rolling release, devi sempre fare l'update di tutti i pacchetti (perlomeno quelli di sistema e le librerie, non certo roba come skype) perché le versioni e le patch sono sempre ottimizzate per lavorare bene tra di loro. Aggiornare solo un pacchetto, rompe l'equilibrio dell'insieme.

Ritratto di simon2000

Non lo sapevo (conosco soltanto kubuntu), grazie per avermi informato.
Ho appena finito l'aggiornamento "globale" e adesso funziona anche kate... finalmente!
Propongo di scriverlo chiaramente nella documentazione, per evitare che altri neofiti cadano nello stesso errore.

Certo la soluzione migliore sarebbe un messaggio da parte di synaptic che ti avvisa quando stai facendo una mossa pericolosa, ma è una modifica che può essere realizzata solo dagli sviluppatori, i quali avranno sicuramente altro a cui pensare.